Part Sphere/de: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
Line 22: Line 22:
</div>
</div>


<div class="mw-translate-fuzzy">
==Beschreibung==
==Beschreibung==
</div>


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 29: Line 31:
</div>
</div>


A Part Sphere can be truncated at the top and/or bottom by changing its {{PropertyData|Angle1}} and/or {{PropertyData|Angle2}} properties. It can be turned into a segment of a sphere by changing its {{PropertyData|Angle3}} property.
[[File:SimpleSphere.jpg|400px]]

[[Image:Part_Sphere_Example.png|400px]]


==Anwendung==
==Anwendung==
Line 38: Line 42:
</div>
</div>


== Example ==
'''Result:''' The sphere will be positioned at origin (point 0,0,0) on creation. The angle parameters permit to make a portion of sphere instead of a full sphere (they are set to 360° by default).


[[Image:Part_Sphere_Scripting_Example.png|thumb|Part Sphere from the scripting example]]
The properties of the object can be edited, either in the [[Property_editor|Property editor]] or by double-clicking the object in the [[Tree_view|Tree view]].

A Part Sphere object created with the [[#Scripting|scripting example]] below is shown here.

== Notes ==

* A Part Sphere can also be created with the [[Image:Part_Primitives.svg|16px]] [[Part_Primitives|Part Primitives]] command. With that command you can specify the dimensions and placement at creation time.


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
== Optionen ==
== Optionen ==
</div>
</div>

See also: [[Property_editor|Property editor]].

A Part Sphere object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:


=== Daten ===
=== Daten ===


{{TitleProperty|Kugel}}
{{TitleProperty|Attachment}}


The object has the same attachment properties as a [[Part_Part2DObject#Data|Part Part2DObject]].
* {{PropertyData|Radius:}} Radius of the sphere
* {{PropertyData|Angle 1:}} 1nd angle to cut / define the sphere
* {{PropertyData|Angle 2:}} 2nd angle to cut / define the sphere
* {{PropertyData|Angle 3:}} 3rd angle to cut / define the sphere


{{TitleProperty|Kugel}}
Da es recht schwierig ist, die Bedeutung der Parameter Winkel 1, Winkel 2, Winkel 3 zu erklären, gibt das folgende Bild eine Erklärung dieser Parameter mit folgenden Werten: Winkel 1 = -45°, Winkel 2 = 45° und Winkel 3= 90°.


* {{PropertyData|Radius|Length}}: The radius of the sphere. The default is {{Value|5mm}}.
[[File:SphereCutThreeAngles.jpg|400px]]
* {{PropertyData|Angle1|Angle}}: The start angle of the circular arc profile of the sphere. Valid range: {{Value|-90° &lt;&#61; value &lt;&#61; 90°}}. May not be equal to {{PropertyData|Angle2}}. The default is {{Value|-90°}}.
* {{PropertyData|Angle2|Angle}}: The end angle of the circular arc profile of the sphere. Valid range: {{Value|-90° &lt;&#61; value &lt;&#61; 90°}}. May not be equal to {{PropertyData|Angle1}}. The default is {{Value|90°}}. If the total angle of the arc profile is smaller than {{Value|180°}} the sphere will be truncated and have a flat face at the top and/or bottom.
* {{PropertyData|Angle3|Angle}}: The total angle of revolution of the sphere. Valid range: {{Value|0° &lt; value &lt;&#61; 360°}}. The default is {{Value|360°}}. If it is smaller than {{Value|360°}} the resulting solid will be a segment of a sphere.


== Scripting ==
== Scripting ==


See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], [[Part_scripting|Part scripting]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].
A Part Sphere can be created using the following function:

A Part Sphere can be created with the {{Incode|addObject()}} method of the document:


{{Code|code=
{{Code|code=
Line 69: Line 85:
* Where {{Incode|"mySphere"}} is the name for the object.
* Where {{Incode|"mySphere"}} is the name for the object.
* The function returns the newly created object.
* The function returns the newly created object.

Example:

{{Code|code=
import FreeCAD as App

doc = App.activeDocument()

sphere = doc.addObject("Part::Sphere", "mySphere")
sphere.Radius = 20
sphere.Angle1 = -30
sphere.Angle2 = 45
sphere.Angle3 = 90
sphere.Placement = App.Placement(App.Vector(3, 9, 11), App.Rotation(75, 60, 30))

doc.recompute()
}}





Revision as of 09:53, 3 March 2022

Part Kugel

Menüeintrag
Part → Grundkörper → Kugel
Arbeitsbereich
Part Module
Standardtastenkürzel
Keiner
Eingeführt in Version
-
Siehe auch
Part Grundkörper

Beschreibung

Beschreibung

Erstellt eine einfache parametrische Kugel mit den Parametern Position, Winkel1, Winkel2, Winkel3 und Radius.

A Part Sphere can be truncated at the top and/or bottom by changing its DatenAngle1 and/or DatenAngle2 properties. It can be turned into a segment of a sphere by changing its DatenAngle3 property.

Anwendung

Anwendung

Klicke im Arbeitsbereich Part auf das Kugelsymbol . Die Kugel wird bei der Erstellung am Ursprung (Punkt 0,0,0) positioniert. Die Winkelparameter erlauben es, einen Teil der Kugel statt einer Vollkugel zu erstellen (sie sind standardmäßig auf 360° eingestellt).

Example

Part Sphere from the scripting example

A Part Sphere object created with the scripting example below is shown here.

Notes

  • A Part Sphere can also be created with the Part Primitives command. With that command you can specify the dimensions and placement at creation time.

Optionen

See also: Property editor.

A Part Sphere object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Daten

Attachment

The object has the same attachment properties as a Part Part2DObject.

Kugel

  • DatenRadius (Length): The radius of the sphere. The default is 5mm.
  • DatenAngle1 (Angle): The start angle of the circular arc profile of the sphere. Valid range: -90° <= value <= 90°. May not be equal to DatenAngle2. The default is -90°.
  • DatenAngle2 (Angle): The end angle of the circular arc profile of the sphere. Valid range: -90° <= value <= 90°. May not be equal to DatenAngle1. The default is 90°. If the total angle of the arc profile is smaller than 180° the sphere will be truncated and have a flat face at the top and/or bottom.
  • DatenAngle3 (Angle): The total angle of revolution of the sphere. Valid range: 0° < value <= 360°. The default is 360°. If it is smaller than 360° the resulting solid will be a segment of a sphere.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Sphere can be created with the addObject() method of the document:

sphere = FreeCAD.ActiveDocument.addObject("Part::Sphere", "mySphere")
  • Where "mySphere" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

sphere = doc.addObject("Part::Sphere", "mySphere")
sphere.Radius = 20
sphere.Angle1 = -30
sphere.Angle2 = 45
sphere.Angle3 = 90
sphere.Placement = App.Placement(App.Vector(3, 9, 11), App.Rotation(75, 60, 30))

doc.recompute()